Offers

Accept An Offer

POSThttps://api.getcovent.com/api/v1/offers/{id}/accept

Accept an offer.

How to Call

Use one of the examples below to call this endpoint from your own integration.

curl -X POST "https://api.getcovent.com/api/v1/offers/{id}/accept" \
  -H "Authorization: Bearer <API_KEY>" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "accepted_at": "2026-04-17T20:10:00Z",
  "notes": "Accepted by seller after verbal confirmation."
}'

Request

Review headers, parameters, and body fields before calling this endpoint.

AuthorizationstringRequired

Bearer token for the proposed external API contract.

Example: Bearer <API_KEY>
AcceptstringRequired

Response format header.

Example: application/json
Content-TypestringRequired

JSON request body header.

Example: application/json

idstringRequired

id path parameter.

Example: <id>

accepted_atstringRequired

accepted_at request field.

Example: 2026-04-17T20:10:00Z
notesstringRequired

notes request field.

Example: Accepted by seller after verbal confirmation.

Response

200application/json

idstringRequired

id response field.

Example: off_123
statusstringRequired

status response field.

Example: accepted
accepted_atstringRequired

accepted_at response field.

Example: 2026-04-17T20:10:00Z
updated_atstringRequired

updated_at response field.

Example: 2026-04-17T20:10:00Z

Response Example

{
  "id": "off_123",
  "status": "accepted",
  "accepted_at": "2026-04-17T20:10:00Z",
  "updated_at": "2026-04-17T20:10:00Z"
}